Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 233240

Summary: cannot open pdf filename not ending ".pdf"
Product: [Fedora] Fedora Reporter: C. N. Tsang <tsangcn1>
Component: evinceAssignee: Kristian Høgsberg <krh>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-06 19:23:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description C. N. Tsang 2007-03-21 05:09:30 UTC
Description of problem:
evince cannot open pdf file whose filename is not ending with ".pdf".  One
scenario is that a web site may use ASP to generate a pdf file using the URL
like "http://host.domain.com/getpdf.asp?id=12345" Firefox then invoke evince to
display the pdf.  But evince "think" that the name of the pdf is "getpdf.asp"
and display the message 'Unable to open document. Unhandled MIME type:
"application/x-asp"' 

Version-Release number of selected component (if applicable):
evince-0.6.0-6.fc6

How reproducible:
always

Steps to Reproduce:
1. select a pdf file for testing, for example
/usr/share/doc/samba-3.0.24/Samba3-HOWTO.pdf
2. copy and name it as test.asp, for example cp
/usr/share/doc/samba-3.0.24/Samba3-HOWTO.pdf /tmp/test.asp
3. use evince to open it, evince /tmp/test.asp
  
Actual results:
Unable to open document. Unhandled MIME type: "application/x-asp"

Expected results:
evince should display the pdf file

Additional info:
Besides asp, evince cannot open pdf files ending ".php", ".html", ...
But xpdf can.
kpdf can open file ending ".pdf" and ".asp", but not others

Comment 1 Bug Zapper 2008-04-04 06:36:29 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 2 Bug Zapper 2008-05-06 19:23:25 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.